Subject: bug#30846: 26.0.91; debug-watch of kill-all-local-variables triggers 'assertion failed: found == !EQ (blv->defcell, blv->valcell)'

From: Eli Zaretskii <[email-masked]>
Date: Fri, 23 Mar 2018 11:12:18 +0300

> From: Noam Postavsky <[email-masked]>
> Date: Thu, 22 Mar 2018 20:20:13 -0400
> Cc: [email-masked]
> 
> Stefan Monnier <[email-masked]> writes:
> 
> > If you feel this is too risky for emacs-26, I wouldn't blame you (this
> > is pretty tricky code): while the assertion crashes Emacs, a normal
> > build without assertions will likely not notice the problem at all.
> > I came up with a test case that catches the problem, but I think that in
> > "real" life it's very unlikely to cause a problem.
> 
> Should we disable the assertion in emacs-26 then?

Do we believe people build a production version with --enable-checking?